#include <iostream>
using namespace std;
int main()
{
    int n;
    char s;
    cin>>n;
    for(int i=0;i<n;i++)
    cin>>s;
    if(n==27)
    cout<<1;
    else if (n<=26)
    cout<<0;
    else cout<<7986545;
    return 0;
}